Webhooks
Requires webhooks:read and a key with access to all profiles.
Authorization
bearerAuth AuthorizationBearer <token>
API key starting with fh_
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://feedhorizon.com/api/v1/webhooks"{
"data": [
{
"id": "wh_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
"name": "My server",
"url": "https://example.com/webhooks/feedhorizon",
"events": [
"post.published",
"post.failed"
],
"isActive": true,
"failCount": 0,
"lastFiredAt": "2026-11-10T08:00:00.000Z",
"customHeaders": {
"property1": "string",
"property2": "string"
},
"createdAt": "2026-11-10T08:00:00.000Z",
"updatedAt": "2026-11-10T08:00:00.000Z"
}
],
"nextCursor": "string"
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_cursor",
"message": "cursor is not a value the API returned as nextCursor",
"docUrl": "https://feedhorizon.com/docs/api/errors#invalid_request_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "No Authorization: Bearer header",
"docUrl": "https://feedhorizon.com/docs/api/errors#authentication_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "permission_error",
"code": "insufficient_scope",
"message": "The key lacks the scope for this endpoint",
"docUrl": "https://feedhorizon.com/docs/api/errors#permission_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limited",
"message": "Too many requests. Wait the seconds in Retry-After",
"docUrl": "https://feedhorizon.com/docs/api/errors#rate_limit_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "Something failed on our side. Retry with backoff, using the same Idempotency-Key for writes",
"docUrl": "https://feedhorizon.com/docs/api/errors#api_error",
"requestId": "req_m2x81a0kfd3h9s"
}
}